// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import commonData from './commonData.js'
import commonFun from './commonFun.js'
Vue.config.productionTip = false

Vue.prototype.serverUrl = commonFun.serverUrl;
Vue.prototype.serverUrlReq = commonFun.serverUrlReq;
Vue.prototype.sys_role = commonData.sys_role;

App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()

// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
